function exp_BasicSetting_VariousNorm
StartUp
savename='exp_BasicSetting_VariousNorm.mat';
if(exist(savename,'file'))
    load(savename)
else
    for(i=1:4)
        switch i
            case 1,
                [A0,T,d]=get_data_ALL(2);
            case 2,
                [A0,T,d]=get_data_ALL(3);
            case 3,
                [A0,T,d]=get_data_CPG;
            case 4,
                [A0,T,d]=get_data_MEDU;
        end
        iter=100;type='KL';
        [Acc_nmf{i},MI{i}]=experiment6_CompareVariousNorm(A0,d,T, iter,type) ;
    end
    save(savename, 'Acc_nmf','MI');
end

Z=zeros(4,9);
ZZ=zeros(4,9);
for(i=1:4)
    Z(i,:)=mean(Acc_nmf{i});
    for(j=1:9)
        n=size(Acc_nmf{i},1);
        ZZ(i,j)=std(Acc_nmf{i}(:,j),0,1)/sqrt(n);
    end
end

name={'Leukemia (k=2)', 'Leukemia (k=3)', 'CNS', 'Medulloblastoma'};

%$\pm$
format=repmat(['&%.2f DELE %.2f'],1,8);
for(i=1:4)
    ZZZ=zeros(1,16);
    ZZZ([1:2:16])=Z(i,2:9);
    ZZZ([2:2:16])=ZZ(i,2:9);
    fprintf([name{i}, format,'\\\\\n'], ZZZ*100);
    fprintf('\\hline\n')
end


end

function [Acc_nmf,MI]=experiment6_CompareVariousNorm(A0,d,T, iter,type)
if(nargin<4)
    iter=100;
end

for(i=1:iter)
    fprintf('\n%d ',i);
    [w,h]=best_nmf(A0,d,2,type);
    
    [damp, idx]=max(h,[],1);
    [Acc_nmf(i,1),MI(i,1)]=AccMeasure(T,idx);
    for(j=1:8)
        num=2;
        h1=nomarlization_auto6_VariousNorm(A0, w,type,num, j);
        [damp, idx1]=max(h1,[],1);
        [Acc_nmf(i,j+1),MI(i,j+1)]=AccMeasure(T,idx1);
    end
end%j

end

function h=nomarlization_auto6_VariousNorm(A,w,type,num,j)
%Sep 16, 2014
%%filter
if(nargin<4)
    num=2;
end
d=size(w,2);
di=get_norm(w,j);
w1=w*diag(1./di);
rank=max(w1,[],2)-min(w1,[],2);
rem_ind=find(rank>median(rank));
fprintf(' len=%d ', length(rem_ind));
A=A(rem_ind,:);
[w,h]=best_nmf(A,d,num,type);
%%
di=get_norm(w,j);
h=diag(di)*h;
end

function Di=get_norm(W,j)
m=size(W,2);
Di=zeros(m,1);
for(i=1:m)
    w=W(:,i);
    switch j,
        case 1;
            di=quantile(w,0.95);
        case 2;
            di=quantile(w,0.75);
        case 3;
            di=quantile(w,0.5);
        case 4;
            di=var(w);
        case 5;
            di=norm(w,1);
        case 6;
            di=norm(w,2);
        case 7;
            di=norm(w,3);
        case 8;
            di=max(w);
    end
    Di(i)=di;
end%i
end





