StartUp;
[A0,T,d]=get_data_CPG;
savename=['CPG1_consensus_02OCT2014_nobootstrap.mat'];
if(exist(savename,'file'))
    load(savename)
else
    [consensus_nmf, consensus_nmf_bootstrap] = nmfconsensus_nobootstrap(A0,2,5,50,0);
    save(savename, 'consensus_nmf','consensus_nmf_bootstrap');
end

for(d=2:5)
figure(d);
subplot(1,2,1)
imagesc(squeeze(consensus_nmf(d,:,:)));
axis square
subplot(1,2,2)
imagesc(squeeze(consensus_nmf_bootstrap(d,:,:)));
axis square

a=squeeze(consensus_nmf(d,:,:));
Y=upper_diag2row(a);
Z = linkage(Y,'average');
nmf_cophenet(d) = cophenet(Z,Y);

a=squeeze(consensus_nmf_bootstrap(d,:,:));
Y=upper_diag2row(a);
Z = linkage(Y,'average');
nmf_bootstrap_cophenet(d) = cophenet(Z,Y);

end
figure;hold on;
plot(nmf_cophenet(2:end),'b-','linewidth',4);
plot(nmf_bootstrap_cophenet(2:end),'r-','linewidth',4);

set(gca,'XTick',1:4,'XTickLabel',2:5, 'fontsize',20);
axis([1 4 0.92 1.001]);
%axis tight
xlabel('Rank k','fontsize',20)
ylabel('Cophenetic correlation','fontsize',20)
legend({'Basic NMF', 'Post-Processing'},'fontsize',20)
scrsz = get(0,'ScreenSize');
set(gcf,'Position',   [1 1 scrsz(3)/2 scrsz(4)/2]);

