StartUp
close all; clear all;
%TYPE='EU';
TYPE='KL';
[A0,T,d]=get_data_MEDU;
no=size(A0,2);

for(i=10:59)
    if(i==59)
        ind=1:size(A0,1);
    else
        ind=1:i*100;
    end
    [Acc_nmf(i), Acc_nmf_1(i), Acc_nmf_2(i)]=get_hs(A0(ind,:), d,T,TYPE);
end

savename=['Medulloblastoma_part_', TYPE, '.mat'];
save(savename, 'Acc_nmf','Acc_nmf_2','Acc_nmf_1');

figure(1);
hold on;
plot(no*(1-Acc_nmf),'b-','linewidth',4);
plot(no*(1-Acc_nmf_2),'r-','linewidth',4);

set(gca,'XTick',[10:10:59],'XTickLabel',[10:10:59]*100,'fontsize',20);
set(gca,'YTick',0:16,'fontsize',20);
axis tight
if(strcmp(TYPE,'KL'))
    axis([10 59 12 15]);
else
    axis([10 59 13 15]);
end
xlabel('Number of Input Genes','fontsize',20)
ylabel('Errors','fontsize',20)
legend({'Basic NMF', 'Post-Processing'},'fontsize',20)
scrsz = get(0,'ScreenSize');
set(gcf,'Position',   [1 1 scrsz(3)/2 scrsz(4)/2]);

