function fig3
savename1=['ALL_AML_consensus_02OCT2014_nobootstrap.mat'];
savename2=['CPG1_consensus_02OCT2014_nobootstrap.mat'];
savename3=['Medulloblastoma_consensus_02OCT2014_nobootstrap.mat'];

figure(1); hold on;
fontsize=16;

load(savename1)
[nmf_cophenet, nmf_bootstrap_cophenet]=get_cophenet(consensus_nmf, consensus_nmf_bootstrap, 2,5);
subplot(1,3,1);hold on;
plot(nmf_cophenet(2:end),'b-','linewidth',4);
plot(nmf_bootstrap_cophenet(2:end),'r-','linewidth',4);
set(gca,'XTick',1:4,'XTickLabel',2:5, 'fontsize',20);
axis([1 4 0.98 1.001]);
%axis tight
xlabel('Rank k','fontsize',fontsize)
ylabel('Cophenetic correlation','fontsize',fontsize)
%legend({'Basic NMF', 'Post-Processing'},'fontsize',20)
scrsz = get(0,'ScreenSize');
set(gcf,'Position',   [1 1 scrsz(3)/2 scrsz(4)/2]);

    load(savename2)
[nmf_cophenet, nmf_bootstrap_cophenet]=get_cophenet(consensus_nmf, consensus_nmf_bootstrap, 2,5);
subplot(1,3,2);hold on;
plot(nmf_cophenet(2:end),'b-','linewidth',4);
plot(nmf_bootstrap_cophenet(2:end),'r-','linewidth',4);
set(gca,'XTick',1:4,'XTickLabel',2:5, 'fontsize',20);
axis([1 4 0.92 1.001]);
%axis tight
xlabel('Rank k','fontsize',fontsize)
%ylabel('Cophenetic correlation','fontsize',20)
%legend({'Basic NMF', 'Post-Processing'},'fontsize',20)
scrsz = get(0,'ScreenSize');
set(gcf,'Position',   [1 1 scrsz(3)/2 scrsz(4)/2]);

load(savename3)
[nmf_cophenet, nmf_bootstrap_cophenet]=get_cophenet(consensus_nmf, consensus_nmf_bootstrap, 2,7);
subplot(1,3,3);hold on;
plot(nmf_cophenet(2:end),'b-','linewidth',4);
plot(nmf_bootstrap_cophenet(2:end),'r-','linewidth',4);

set(gca,'XTick',1:6,'XTickLabel',2:7, 'fontsize',20);
axis([1 6 0.92 1.001]);
%axis tight
xlabel('Rank k','fontsize',fontsize)
%ylabel('Cophenetic correlation','fontsize',20)
legend({'Basic NMF', 'Post-Processing'},'fontsize',20)


addpath C:\Users\0114845s\Desktop\UTILI\tightfig
tightfig

figure(1)
scrsz = get(0,'ScreenSize');
set(gcf,'Position',   [1 1 scrsz(3) scrsz(4)/3]);



end

function [nmf_cophenet, nmf_bootstrap_cophenet]=get_cophenet(consensus_nmf, consensus_nmf_bootstrap, s,e)

for(d=s:e)    
    a=squeeze(consensus_nmf(d,:,:));
    Y=upper_diag2row(a);
    Z = linkage(Y,'average');
    nmf_cophenet(d) = cophenet(Z,Y);
    
    a=squeeze(consensus_nmf_bootstrap(d,:,:));
    Y=upper_diag2row(a);
    Z = linkage(Y,'average');
    nmf_bootstrap_cophenet(d) = cophenet(Z,Y);    
end
end




